Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.editor
Class DiagramEditorHelper

public class DiagramEditorHelper
implements TransactionListener, ViewEditorHelper

This class is used to provide all neccessary changes and validations in diagram model.

Constructor Summary
`DiagramEditorHelper(Diagram diagram)`

Method Summary
`View` | `add(Object obj, Point location)` Should provides necessary changes in view and model if the view can be resized.
`boolean` | `addEdit(UndoableEdit ue)`
`boolean` | `canAccept(CompositeView composite, View view)`
`void` | `completeTransaction()`
`Object` | `createObject(Class clazz, Point pt)`
`Action[]` | `getActions()`
`boolean` | `isResizable(View view)`
`static boolean` | `moveNode(Node newNode, Node oldNode)`
`Dimension` | `moveView(View view, Dimension offset)` Should provides necessary changes in view and model if the view can be moved on the specified offset.
`void` | `register(ViewEditorPane viewEditor)`
`static void` | `removeMovedNode(Node node)`
`boolean` | `removeView(View view)` Should provides necessary changes in view and model if the view can removed.
`Dimension` | `resizeView(View view, Dimension size)` Should provides necessary changes in view and model if the view can be resized.
`void` | `startTransaction(TransactionEvent te)`

Constructor Detail

### DiagramEditorHelper

    public DiagramEditorHelper(Diagram diagram)

Method Detail

### add

    public View add(Object obj, Point location)

  Should provides necessary changes in view and model if the view can be resized.
  returns view for the specified object.

### addEdit

    public boolean addEdit(UndoableEdit ue)

### canAccept

    public boolean canAccept(CompositeView composite, View view)

  returns whether a specified view can be inserted to other view.

### completeTransaction

    public void completeTransaction()

### createObject

    public Object createObject(Class clazz, Point pt)

### getActions

    public Action[] getActions()

### isResizable

    public boolean isResizable(View view)

  returns whether a specified view can be resized.

### moveNode

    public static boolean moveNode(Node newNode, Node oldNode)
                             throws java.lang.Exception

### moveView

    public Dimension moveView(View view, Dimension offset)

  Should provides necessary changes in view and model if the view can be moved on the specified offset.
  returns shift on which the view was moved.

### register

    public void register(ViewEditorPane viewEditor)

### removeMovedNode

    public static void removeMovedNode(Node node)
                                 throws java.lang.Exception

### removeView

    public boolean removeView(View view)

  Should provides necessary changes in view and model if the view can removed.
  returns whether the view was removed.
  pending exception processing

### resizeView

    public Dimension resizeView(View view, Dimension size)

  Should provides necessary changes in view and model if the view can be resized.
  returns new view size.

### startTransaction

    public void startTransaction(TransactionEvent te)

Association Links

to Class biouml.model.Diagram

to Class biouml.model.SemanticController

to Class ru.biosoft.graphics.editor.ViewEditorPane

to Class biouml.editor.DiagramListener

to Class org.apache.log4j.Category

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM